<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/nsv_content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingHorizontal="16dp"
            android:paddingTop="20dp"
            android:paddingBottom="104dp">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:fontFamily="@font/poppins_semibold"
                android:gravity="start|center_vertical"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF1D2129"
                android:textSize="16sp"
                tools:text="Mobile legends" />

            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/ll_form"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:orientation="vertical"
                app:divider="@drawable/common_form_widget_divider"
                app:showDividers="middle" />

        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.core.widget.NestedScrollView>

    <View
        android:id="@+id/v_submit_mask"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/common_bottom_white_mask_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/btn_submit" />

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_submit"
        android:layout_width="match_parent"
        android:layout_height="@dimen/common_button_height"
        android:layout_marginHorizontal="16dp"
        android:layout_marginBottom="24dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:text="@string/common_submit"
        app:textColor="@color/white"
        app:textSize="16sp" />

</androidx.constraintlayout.widget.ConstraintLayout>